import Link from 'next/link';
import { BsPersonCircle } from 'react-icons/bs';

export default function ProfilePage() {
  return (
    <main className="m-auto flex flex-col items-center justify-center space-y-2 p-3">
      <BsPersonCircle size="60" />
      <div className="text-4xl font-bold">Taro Yamada</div>
      <span className="rounded-full border border-gray-900 px-2 text-sm">
        Software Engineer
      </span>

      <div className="py-6 text-center">
        <p>
          チームの一員として、プロジェクトの成功に貢献することを心がけています。
        </p>
        <p>
          学びと成長を大切にし、常に最高のパフォーマンスを発揮できるよう努力します。
        </p>
      </div>

      <Link href="/skills" className="rounded-full bg-gray-900 px-6 py-3 text-white hover:bg-gray-900/90">
        Skills
      </Link>
    </main>
  );
}
