import { SkillCard } from '@/components/skill-card';
import { FaReact } from 'react-icons/fa6';

export default function SkillsPage() {
  return (
    <main className="my-auto flex flex-col items-center justify-center space-y-2 p-3">
      <span className="rounded bg-red-600 px-2 text-white">My skills</span>

      <div className="pb-6 text-center">
        <p>
          以下のようなスキルを活用して、課題を解決するお手伝いをさせて頂きます。
        </p>
      </div>

      <div className="grid w-full max-w-3xl grid-cols-1 gap-4 md:grid-cols-2">
        <SkillCard title="HTML" percent="100%" />
        <SkillCard title="CSS" percent="90%" />
        <SkillCard percent="80%">Tailwind CSS</SkillCard>
        <SkillCard percent="70%">
          <span className="flex items-center">
            <FaReact size={24} className="me-2" /> React
          </span>
        </SkillCard>
      </div>
    </main>
  );
}
