// 追加
import { MdLogin } from 'react-icons/md';
import Image from 'next/image';

export default function LoginPage() {
  return (
    <main className="flex min-h-screen items-center justify-center bg-gradient-to-br from-gray-900 to-blue-700">

      <div className="flex overflow-hidden rounded-lg">
        <div className="relative min-h-80 w-96">
          <Image className="object-cover" src="/images/photo.jpg"
            fill alt="" />
        </div>

        {/* ログイン画面を追加 */}
        <form className="w-96 space-y-3 bg-white p-7 text-black">
          <div className="flex flex-col items-center font-bold text-blue-600">
            <MdLogin size={48} className="mb-2" />
            <h1 className="text-2xl">ログイン画面</h1>
          </div>

          <div className="grid">
            <label htmlFor="email" className="mb-1 text-sm">
              メールアドレス
            </label>
            <input id="email" type="email" className="rounded border border-gray-300 p-2 focus:outline-blue-600" />
          </div>

          <div className="grid">
            <label htmlFor="password" className="mb-1 text-sm">
              パスワード
            </label>
            <input id="password" type="password" className="rounded border border-gray-300 p-2 focus:outline-blue-600" />
          </div>

          <button type="button" className="w-full rounded bg-blue-600 p-2 text-white hover:bg-blue-600/90">
            ログイン
          </button>
        </form>
      </div>
    </main>
  );
}
