import Link from 'next/link';
import { BsGithub, BsTwitterX } from 'react-icons/bs';

const links = [
  { name: 'Home', href: '/' },
  { name: 'Skills', href: '/skills' },
];

// ここではexport defaultではなく、exportを使用します
export function Header() {
  return (
    <header className="flex justify-center">
      <div className="mt-3 flex items-center rounded-full bg-white shadow-lg">
        <h1 className="ms-4 p-2 text-2xl font-semibold">
          <Link href="/" className="hover:underline">
            Profile
          </Link>
        </h1>
        <nav className="mx-10">
          <ul className="flex items-center">
            <li>
              {links.map((link) => (
                <Link key={link.name} href={link.href}
                  className="rounded-full p-3 hover:bg-gray-900 hover:text-white">
                  {link.name}
                </Link>
              ))}
            </li>
          </ul>
        </nav>
        <div className="me-6 flex space-x-4">
          <Link href="/">
            <BsGithub size={24} />
          </Link>
          <Link href="/">
            <BsTwitterX size={24} />
          </Link>
        </div>
      </div>
    </header>
  );
}
