interface SkillCardProps {
  title?: string;             // 任意の文字列 (string型)
  percent: string;            // 必須の文字列 (string型)
  children?: React.ReactNode; // 任意のReactノード (ReactNode型)
}

export function SkillCard({ title, percent, children }: SkillCardProps) {
  return (
    <div className="rounded-lg border border-black p-4 shadow-md">
      <h2 className="mb-2 font-bold">
        {/* titleがあればtitleを表示、なければchildrenを表示 */}
        {title || children}
      </h2>

      <div className="w-full rounded-full bg-black text-white">
        <div className="rounded-full bg-red-600 text-center text-xs"
          style={{ width: percent }}>
          {percent}
        </div>
      </div>
    </div>
  );
}
